classification
Title: Add support for Arch Linux to platform.linux_distributions()
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, georg.brandl, lemburg, pitrou, python-dev, r.david.murray, terry.reedy, westley.martinez
Priority: normal Keywords: patch

Created on 2011-03-26 00:09 by westley.martinez, last changed 2012-10-05 06:39 by lemburg. This issue is now closed.

Files
File name Uploaded Description Edit
cpython-11678.diff westley.martinez, 2011-03-26 17:11 patch review
Messages (16)
msg132187 - (view) Author: Westley Martínez (westley.martinez) * Date: 2011-03-26 00:09
This comes from Issue 11340 <http://bugs.python.org/issue11340>.

Adding support for Arch Linux to platform.linux_distributions() will allow   a distutils test to be skipped for Arch. The Arch Linux website: http://www.archlinux.org/
msg132227 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2011-03-26 10:51
Please provide a patch for review.

Thanks.
msg132252 - (view) Author: Westley Martínez (westley.martinez) * Date: 2011-03-26 17:11
Patch.
msg132253 - (view) Author: Westley Martínez (westley.martinez) * Date: 2011-03-26 17:13
I forgot to say, Arch Linux is rolling release so it doesn't have a version or id.
msg132394 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2011-03-28 11:47
Westley Martínez wrote:
> 
> Westley Martínez <anikom15@gmail.com> added the comment:
> 
> I forgot to say, Arch Linux is rolling release so it doesn't have a version or id.

Ok, but then what's the output of the function on Arch Linux (with the
patch) ?
msg132459 - (view) Author: Westley Martínez (westley.martinez) * Date: 2011-03-29 03:11
('arch', '', '')
msg132472 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2011-03-29 08:38
Westley Martínez wrote:
> 
> Westley Martínez <anikom15@gmail.com> added the comment:
> 
> ('arch', '', '')

I've had a look at http://www.archlinux.org/download/ which does list
a release version (currently 2010.05).

Could you try to get that into the function's output for Arch Linux ?

Thanks,
-- 
Marc-Andre Lemburg
eGenix.com

________________________________________________________________________

::: Try our new mxODBC.Connect Python Database Interface for free ! ::::

   eGenix.com Software, Skills and Services GmbH  Pastor-Loeh-Str.48
    D-40764 Langenfeld, Germany. CEO Dipl.-Math. Marc-Andre Lemburg
           Registered at Amtsgericht Duesseldorf: HRB 46611
               http://www.egenix.com/company/contact/
msg132510 - (view) Author: Westley Martínez (westley.martinez) * Date: 2011-03-29 19:34
That's the release version for the installation disc.
msg132670 - (view) Author: Westley Martínez (westley.martinez) * Date: 2011-03-31 14:07
Perhaps I wasn't clear. That release version isn't for the system. It's for the installation disc. There's no way to get that info and it means nothing to anyone anyways. All users of Arch are expected to have their system fully up to date. There are no releases; Just do "pacman -Syu" and the system is made up to date.
msg132780 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-04-01 23:56
If today's multi-site message is not a joke, Arch, Debian, Gentoo, Grml, and openSUSE are about to be joined into the Canterbury distribution.
msg132805 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-04-02 16:47
And we all laughed :)
msg132933 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2011-04-04 11:00
Westley Martínez wrote:
> 
> Westley Martínez <anikom15@gmail.com> added the comment:
> 
> Perhaps I wasn't clear. That release version isn't for the system. It's for the installation disc. There's no way to get that info and it means nothing to anyone anyways. All users of Arch are expected to have their system fully up to date. There are no releases; Just do "pacman -Syu" and the system is made up to date.

Interesting. In that case, I guess version and id don't make sense
for Arch Linux.

Thanks,
-- 
Marc-Andre Lemburg
eGenix.com

________________________________________________________________________

::: Try our new mxODBC.Connect Python Database Interface for free ! ::::

   eGenix.com Software, Skills and Services GmbH  Pastor-Loeh-Str.48
    D-40764 Langenfeld, Germany. CEO Dipl.-Math. Marc-Andre Lemburg
           Registered at Amtsgericht Duesseldorf: HRB 46611
               http://www.egenix.com/company/contact/
msg143489 - (view) Author: Westley Martínez (westley.martinez) * Date: 2011-09-04 07:32
Is there anything preventing the patch from being committed?
msg163840 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-24 20:14
Feature freeze just came by; sorry we missed this.

Given our recent-ish discussion about additions to mimetypes (and the consensus (IIRC) that matching the IANA database can be considered a bug fix), I wonder if detecting more OSes in platform should be considered a new feature.  On one end we have mimetypes when there is just a dictionary update with no risk, on the other end we have ports to new OSes which clearly are new features; I think platform is on the fence, maybe just a bit on the new feature side.
msg163843 - (view) Author: Roundup Robot (python-dev) Date: 2012-06-24 20:17
New changeset 97a098aa4205 by Georg Brandl in branch 'default':
Closes #11678: support Arch linux in the platform module.
http://hg.python.org/cpython/rev/97a098aa4205
msg172051 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2012-10-05 06:39
Éric Araujo wrote:
> 
> Éric Araujo <merwok@netwok.org> added the comment:
> 
> Feature freeze just came by; sorry we missed this.
> 
> Given our recent-ish discussion about additions to mimetypes (and the consensus (IIRC) that matching the IANA database can be considered a bug fix), I wonder if detecting more OSes in platform should be considered a new feature.  On one end we have mimetypes when there is just a dictionary update with no risk, on the other end we have ports to new OSes which clearly are new features; I think platform is on the fence, maybe just a bit on the new feature side.

I'm fine with adding new OS support to platform in bugfix releases.

The idea is to support as many platforms as possible and if a popular
one is missing, that's a bug.

-- 
Marc-Andre Lemburg
eGenix.com

Professional Python Services directly from the Source  (#1, Oct 05 2012)
>>> Python Projects, Consulting and Support ...   http://www.egenix.com/
>>> mxODBC.Zope/Plone.Database.Adapter ...       http://zope.egenix.com/
>>> mxODBC, mxDateTime, mxTextTools ...        http://python.egenix.com/
________________________________________________________________________
2012-09-27: Released eGenix PyRun 1.1.0 ...       http://egenix.com/go35
2012-09-26: Released mxODBC.Connect 2.0.1 ...     http://egenix.com/go34
2012-09-25: Released mxODBC 3.2.1 ...             http://egenix.com/go33
2012-10-23: Python Meeting Duesseldorf ...                 18 days to go

   eGenix.com Software, Skills and Services GmbH  Pastor-Loeh-Str.48
    D-40764 Langenfeld, Germany. CEO Dipl.-Math. Marc-Andre Lemburg
           Registered at Amtsgericht Duesseldorf: HRB 46611
               http://www.egenix.com/company/contact/
History
Date User Action Args
2012-10-05 06:39:03lemburgsetmessages: + msg172051
2012-06-24 20:17:45python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg163843

resolution: fixed
stage: patch review -> resolved
2012-06-24 20:14:52eric.araujosetnosy: + pitrou, r.david.murray, eric.araujo
messages: + msg163840
2011-09-04 07:32:31westley.martinezsetmessages: + msg143489
2011-06-03 16:26:26eric.araujolinkissue12214 superseder
2011-04-04 11:00:28lemburgsetmessages: + msg132933
title: Add support for Arch Linux to platform.linux_distributions() -> Add support for Arch Linux to platform.linux_distributions()
2011-04-02 16:47:05georg.brandlsetnosy: + georg.brandl
messages: + msg132805
2011-04-01 23:56:48terry.reedysetnosy: + terry.reedy

messages: + msg132780
stage: patch review
2011-03-31 14:07:45westley.martinezsetmessages: + msg132670
2011-03-29 19:34:38westley.martinezsetmessages: + msg132510
2011-03-29 08:38:12lemburgsetmessages: + msg132472
title: Add support for Arch Linux to platform.linux_distributions() -> Add support for Arch Linux to platform.linux_distributions()
2011-03-29 03:11:29westley.martinezsetmessages: + msg132459
2011-03-28 11:47:35lemburgsetmessages: + msg132394
title: Add support for Arch Linux to platform.linux_distributions() -> Add support for Arch Linux to platform.linux_distributions()
2011-03-26 17:13:03westley.martinezsetmessages: + msg132253
2011-03-26 17:11:51westley.martinezsetfiles: + cpython-11678.diff
keywords: + patch
messages: + msg132252
2011-03-26 10:51:06lemburgsetmessages: + msg132227
2011-03-26 00:12:24eric.araujosetnosy: + lemburg
2011-03-26 00:09:55westley.martinezcreate